:root {
  --color-dark: #1F2441;
  --color-pastel: #7DA8C5;
  --color-tan: #DAB19C;
  --color-red: #CC4743;
}

.difficulty {
	float: left;
}

.difficulty-img {
	width: 4%;
	height: auto;
	float: left;
	min-width : 30px;
}

body {
    padding: 0;
    margin: 0;
    background-color: var(--color-dark);
	color: var(--color-pastel);
    font-size: 1.2em;
}

h2 {
	margin-top: 0px;
	margin-bottom: 0px;
	padding-bottom: 5px;
}

a:visited {
  color: var(--color-pastel);
}

.header {
	font-family: monospace; 
	position: sticky; 
	top:0; 
	left: 0; 
	width: 100%; 
	z-index: 2;
	/* border-bottom: 1pt solid var(--color-red); */
}

.header table {
	font-size: 0.8em;
	position: relative;
	width: 100%;
	background-color: var(--color-dark);
	margin-left: 0px;
	margin-right: 0px;
	color: var(--color-pastel);
	border-collapse: collapse; 
	padding: 0;
	/* border-bottom: 1pt solid var(--color-red); */
}

.title {
	margin-top:0;
	padding: 0;
	padding-top: 0px;
	background-color: var(--color-dark);
	color: var(--color-pastel);
	margin-bottom: 0px;
}

.container {
	margin-left: 240px;
	margin-right: 240px;
	margin-bottom: 0;
	padding-right: 20px;
	padding-left: 20px;
}

.sidebar-left {
	margin: 0;
	height: 100%;
	width: 240px;
	position: fixed !important;
	z-index: 1;
	overflow: auto;
	background-image: url("img/slice4.png");
	background-color: var(--color-tan);
	border-right: 2px solid var(--color-red);
}

.sidebar-left h3 {
	margin-top: 0;
}

.sidebar-left h3 a{
	text-decoration: none;
}



.card-left {
	width: 100%;
	position: relative;
	top: 0px;
	left: 0px;
	margin: 0;
	padding: 0;
	color: white;
	background-color: #1F2441B2;
	padding-left: 0px;
	padding-right: 0px;
	padding-top: 0px;
	padding-bottom: 0px;
	height: 100%;
}

.card-left h3 {
	padding-left: 10px;
	margin: 5px 0px 0px 0px;
	font-size: 1.5em;
}

.card-left h3 a {
	color: white;
	text-decoration: none;
}

.card-left a {
	text-decoration: none;
}

.card-left .category {
	padding-left: 0px;
	font-size: 1.0em;
	margin: 0;
}

.card-left .category div{
	padding-left: 20px;
}

.coconut-helper {
	display: inline-block;
    height: 100%;
    vertical-align: middle;
	background-color: blue;
}

.coconut {
	height: 20px; 
	width: auto;
	vertical-align: middle;
	margin: auto;
}

/* Active Page Category */
.category-highlight{
	/* font-style: italic; */
	background-color: var(--color-red);
	border-top-left-radius: 15px;
	border-bottom-left-radius: 15px;
}

.card-left .category a {
	padding: 5px 0px 5px 0px;
	text-decoration: none;
	color: white;
}

/* Active Page */
.card-left .category .highlight{
	/* font-style: italic; */
	background-color: var(--color-red);
	border-top-left-radius: 10px;
	border-bottom-left-radius: 10px;
	margin: 5px 0px 5px 10px;
	padding: 5px 0px 5px 10px;
}

.sidebar-right {
	margin: 0;
	right: 0;
	height: 100%;
	width: 240px;
	position: fixed !important;
	z-index: 1;
	overflow: auto;
	background-image: url("img/slice6.png");
	background-color: var(--color-tan);
	color: white;
}

.card-right h3 {
	margin-top: 0px;
	margin-bottom: 0px;
	padding-top: 10px;
	padding-left: 10px;
	padding-bottom: 10px;
	font-size: 1.5em;
}

.card-right {
	width: 100%;
	position: relative;
	top: 0px;
	right: 0px;
	margin: 0;
	padding: 0;
	background-color: #1F2441B2;
	padding-left: 0px;
	padding-right: 0px;
	padding-top: 0px;
	padding-bottom: 0px;
	height: 100%;
}

.card-right .category {
	padding-left: 20px;
	font-size: 1.2em;
	margin: 0;
}

.card-right a {
	color: white;
	text-decoration: none;
}

a.anchor {
    display: block;
    position: relative;
    /*top: -20px;*/
    visibility: hidden;
}

.vid-container {
	margin-left: auto;
	margin-right: auto;
	width: 80%;
	text-align: center;
}

.code-style-container {
	border-top-left-radius: 5px;
	border-top-right-radius: 5px;
    padding-top: 5px;
    padding-bottom: 5px;
	margin-bottom: 0;
	margin-left: auto;
	margin-right: auto;
    background-color: var(--color-pastel);
	width: 80%;
}

.language-label {
	text-align: right;
	color: var(--color-dark);
	padding-right: 20px;
}

.code-name {
	font-family: monospace;
    float: left;
    font-weight: bold;
    width: 50px;
	color: var(--color-dark);
}

pre {
	width: 80%;
	margin-left: auto;
	margin-right: auto;
	margin-top: 0px;
	margin-bottom: 10px;
}

pre code {
	border-bottom-left-radius: 5px;
	border-bottom-right-radius: 5px;
}

.code-name img {

}

.caption {
	width: 100%;
	text-align: center;
	font-style: italic;
	margin-bottom: 10px;
}

.markdown-quotation-mark:before{
    font-size: 40px;
    font-style: italic;
    font-weight: normal;
    float: left;
    height: 100%;
    content: "\201C"; 
}

.markdown-quotation-content {
    padding: 10px 15px 10px 20px;
}

.markdown-quote {
    margin: auto;
    width: 80%;
    border-left: 4px solid var(--color-red);
    /* background-color: #ddd; */
	background-color: var(--color-tan);
    padding: 10px 15px 10px 10px;
	margin-top: 10px;
    font-family: Arial, Helvetica, sans-serif;
    font-weight: normal;
	color: var(--color-dark);
	border-radius: 5px;
}

.markdown-quote:before { 
    
}

.markdown-quote:after { 
    font-size: 0.9em;
    font-style: italic;
    font-weight: normal;
    margin-left: 100px;
    padding-top: 10px;
    content: "- "attr(data-quoter); 
}

.container img {
	display: block;
	max-width: 80%;
	margin-left: auto;
	margin-right: auto;
	border-radius: 5px;
	margin-bottom: 10px;
	margin-top: 10px;
}

/* Table Style */
.styled-table{
	font-family: Arial, Helvetica, sans-serif;
	border-collapse: collapse;
	width: 80%;
	margin-left: auto;
	margin-right: auto;
	margin-bottom: 10px;
	color: var(--color-dark);
	background-color: #a7c4d7;
}

.styled-table a:link{
	color: black;
}

.styled-table a:visited{
	color: black;
}

.styled-table td, .styled-table th {
	border: 1px solid #ddd;
	padding: 8px;
}

.styled-table tr:nth-child(even) {
	color: var(--color-dark);
	background-color: var(--color-pastel);
}

.styled-table tr:hover {
	color: #FFFFFF;
	background-color: var(--color-red);
}

.styled-table th {
	padding-top: 12px;
	padding-bottom: 12px;
	text-align: left;
	background: var(--color-dark);
	color: #FFFFFF;
}

.pescadex {
	width: 80%; 
	margin-left: auto; 
	margin-right: auto;
	padding: 10px 20px 10px 20px;
	background-color: var(--color-tan);
	color: var(--color-dark);
	border-radius: 10px;
}

.pescadex table {
	width: 100%; 
}

.pescadex img {
	width: 512px;
}

.map-overlay {
	position: relative;
	left: 50%;
	transform: translateX(-40%);
}

.map-overlay .density {
	width: 512px;
	border: 1px red solid;
	position: absolute;
	width: 512px;
	top: 0;
	left: 0;
}

.map-overlay .map {
	position: absolute;
	width: 512px;
	opacity: 0.5;
	z-index: 1;
	top: 0;
	left: 0;
	border: 1px green solid;
}

.map-overlay .fish {
	position: absolute;
	width: 512px;
	z-index: 2;
	top: 0;
	left: 0;
}

/* Small Screen Size */
@media only screen and (width <= 800px) {
	.sidebar-right {
		display: none;
	}
	
	.sidebar-left {
		display: none;
	}
	
	.container {
		margin-left: 0px;
		margin-right: 0px;
		margin-bottom: 0;
		padding-right: 20px;
		padding-left: 20px;
		border-left: 2px solid var(--color-red);
	}
}

/* Medium Screen Size */
@media only screen and (width > 800px) and (width <= 1200px) {
    .sidebar-right {
		display: none;
	}
	
	.container {
		margin-left: 240px;
		margin-right: 0px;
		margin-bottom: 0;
		padding-right: 20px;
		padding-left: 20px;
		border-left: 2px solid var(--color-red);
	}
}

